summaryrefslogtreecommitdiffstats
path: root/source/x/fontconfig/fontconfig.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/x/fontconfig/fontconfig.SlackBuild
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/x/fontconfig/fontconfig.SlackBuild')
-rwxr-xr-xsource/x/fontconfig/fontconfig.SlackBuild50
1 files changed, 31 insertions, 19 deletions
diff --git a/source/x/fontconfig/fontconfig.SlackBuild b/source/x/fontconfig/fontconfig.SlackBuild
index c93bcc70a..c18c41007 100755
--- a/source/x/fontconfig/fontconfig.SlackBuild
+++ b/source/x/fontconfig/fontconfig.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2013, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,28 +20,37 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=fontconfig
VERSION=${VERSION:-$(echo fontconfig-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-fontconfig
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -60,7 +69,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf fontconfig-$VERSION
tar xvf $CWD/fontconfig-$VERSION.tar.?z* || exit 1
-cd fontconfig-$VERSION
+cd fontconfig-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -68,16 +77,14 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# The wonderful extended version of the font so generously
-# opened up for free modification and distribution by one
-# for the previously proprietary font founderies, and that
-# Stepan Roh did such a marvelous job on getting the ball
-# rolling with should clearly (IMHO) be the default font:
-zcat $CWD/fontconfig.dejavu.diff.gz | patch -p1 --verbose || exit 1
+# Prefer DejaVu fonts in 60-latin.conf:
+#zcat $CWD/fontconfig.dejavu.diff.gz | patch -p1 --verbose || exit 1
+
+# Prefer Liberation fonts in 60-latin.conf (these work better with hinting):
+zcat $CWD/fontconfig.liberation.diff.gz | patch -p1 --verbose || exit 1
-# Hardcode the default font search path rather than having
-# fontconfig figure it out (and possibly follow symlinks, or
-# index ugly bitmapped fonts):
+# Hardcode the default font search path rather than having fontconfig figure
+# it out (and possibly follow symlinks, or index ugly bitmapped fonts):
zcat $CWD/fontconfig.font.dir.list.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
CFLAGS=$SLKCFLAGS \
@@ -92,12 +99,14 @@ CFLAGS=$SLKCFLAGS \
--with-xmldir=/etc/fonts \
--localstatedir=/var \
--enable-static=no \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
-# Uses a currently non-functional sgml tool, thus '-i':
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
# Upstream has changed the default templatedir to /usr/share/fontconfig/conf.avail.
# This change, if accepted, would break any existing font package containing a
# conf.avail directory. The safest thing to do is to keep things in the
@@ -134,7 +143,6 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
( cd $PKG/etc/fonts/conf.d
for fontconf in \
20-unhint-small-vera.conf \
- 30-urw-aliases.conf \
30-metric-aliases.conf \
40-nonlatin.conf \
45-latin.conf \
@@ -163,6 +171,10 @@ if [ ! $? = 0 ]; then
exit 1
fi
+# This is a really ugly default. If you like it, you'll have to link this
+# one yourself:
+rm -f $PKG/etc/fonts/conf.d/10-hinting-slight.conf
+
# Fix manpages:
if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man